#pragma once
#include "Entity.h"
#define CS_CAMERA_CREATENAME L"CS_camera"
//相机专用Npc，用来进行聚焦用
class CS_Camera :
    public Entity
{
public:
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    int stateID = 0;
    float moveSpeed = 0x100 / ts;
};

std::shared_ptr<Entity> CreateCS_Camera();